package ru.ulstu.extractor.markup.model;

import ru.ulstu.extractor.core.BaseEntity;
import ru.ulstu.extractor.ts.model.TimeSeries;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
public class Markup extends BaseEntity {
    @ManyToOne
    private TimeSeries timeSeries;
    private String markup;

    public Markup() {
    }

    public Markup(TimeSeries timeSeries, String markup) {
        this.timeSeries = timeSeries;
        this.markup = markup;
    }

    public TimeSeries getTimeSeries() {
        return timeSeries;
    }

    public void setTimeSeries(TimeSeries timeSeries) {
        this.timeSeries = timeSeries;
    }

    public String getMarkup() {
        return markup;
    }

    public void setMarkup(String markup) {
        this.markup = markup;
    }
}